> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Template Industries

> Returns a list of all available checklist industries for the current workspace.



## OpenAPI

````yaml GET /api/v1/task/checklist-industries
openapi: 3.1.0
info:
  title: Xenia Team API - Get Template Industries
  version: 1.0.0
  description: API to retrieve available checklist industries in the workspace.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/task/checklist-industries:
    get:
      tags:
        - Checklist
      summary: Get Checklist Industries
      description: >-
        Returns a list of all available checklist industries for the current
        workspace.
      parameters:
        - in: header
          name: workspace-id
          required: true
          schema:
            type: string
            format: uuid
          description: Workspace ID to fetch checklist industries
      responses:
        '200':
          description: Checklist industries list returned successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ChecklistIndustry'
                  meta:
                    type: object
              examples:
                Checklist Industries:
                  value:
                    data:
                      - id: be46c62b-dba9-432f-b003-2b2ce3219d85
                        name: General
                        isActive: true
                        isOrgIndustry: false
                        createdAt: '2022-10-06T04:29:11.970Z'
                        updatedAt: '2022-10-06T04:29:11.970Z'
                      - id: a0584fcb-99a4-4fa1-9a6c-39cf6aeb2e10
                        name: Security Services
                        isActive: true
                        isOrgIndustry: false
                        createdAt: '2022-10-19T05:22:21.277Z'
                        updatedAt: '2022-10-19T05:22:21.277Z'
                      - id: abb484a1-3524-4c8c-b957-36e6a6154f7f
                        name: Facility Management
                        isActive: true
                        isOrgIndustry: true
                        createdAt: '2022-10-06T04:29:11.970Z'
                        updatedAt: '2022-10-06T04:29:11.970Z'
                    meta: {}
        '400':
          description: Bad Request - Invalid workspace ID format.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to access template industries.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  schemas:
    ChecklistIndustry:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        isActive:
          type: boolean
        isOrgIndustry:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - isActive
        - isOrgIndustry
        - createdAt
        - updatedAt
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````